Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: kitty
Upstream-Contact: Kovid Goyal <kovid at kovidgoyal.net>
Source: https://github.com/kovidgoyal/kitty

Files: *
Copyright: 2015-2021, Kovid Goyal <kovid at kovidgoyal.net>
License: GPL-3+

Files: debian/*
Copyright: 2020-2021, James McCoy <jamessan at debian.org>
License: Expat

Files: glfw/*
Copyright: 2002-2006, Marcus Geelnard
           2006-2019, Camilla Löwy <elmindreda@glfw.org>
           2016, Google Inc.
           2014, Jonas Ådahl <jadahl@gmail.com>
           2012, Torsten Walluhn <tw@mad-cad.net>
           2014-2021 Kovid Goyal <kovid@kovidgoyal.net>
License: Zlib

Files: glfw/backend_utils.c
       glfw/glfw.py
       glfw/linux_desktop_settings.*
       glfw/linux_notify.*
       glfw/main_loop.h
       glfw/memfd.h
       glfw/wl_client_side_decorations.*
       glfw/wl_text_input.*
       glfw/xkb-compat-shim.h
Copyright: 2017-2021, Kovid Goyal <kovid at kovidgoyal.net>
License: GPL-3+

Files:
 kitty_tests/CascadiaCode-Regular.otf
 kitty_tests/FiraCode-Medium.otf
 kitty_tests/iosevka-regular.ttf
Copyright:
 2015, Nikita Prokopov
 2019, Microsoft Corporation
 2015-2021, Renzhi Li
License: OFL-1.1

Files: kitty_tests/LiberationMono-Regular.ttf
Copyright: 2012, Red Hat, Inc.
License: Liberation

Files: docs/_static/custom.css
Copyright: 2018 Kovid Goyal <kovid at kovidgoyal.net>
License: Expat

Files: docs/_templates/searchbox.html
Copyright: 2007-2018 Sphinx team
License: BSD-2-clause

Files: kitty/uthash.h
Copyright: 2003-2021, Troy D. Hanson
License: BSD-1-clause

Files: kitty/ringbuf.*
Copyright: 2011 Drew Hess <dhess-src@bothan.net>
License: CC0

Files: kitty/iqsort.h
Copyright: 1992, 1992, 1996, 1997, 1999 Free Software Foundation, Inc.
License: LGPL-2.1+

Files: logo/kitty*svg
Copyright:
 2020 Václav Vančura
License: CC-BY-4.0

License: Expat
 Permission is hereby granted, free of charge, to any person obtaining a
 copy of this software and/or associated documentation files (the
 "Materials"), to deal in the Materials without restriction, including
 without limitation the rights to use, copy, modify, merge, publish,
 distribute, sublicense, and/or sell copies of the Materials, and to
 permit persons to whom the Materials are furnished to do so, subject to
 the following conditions:
 .
 The above copyright notice and this permission notice shall be included
 in all copies or substantial portions of the Materials.
 .
 THE MATERIALS ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.

License: Zlib
 This software is provided 'as-is', without any express or implied
 warranty. In no event will the authors be held liable for any damages
 arising from the use of this software.
 .
 Permission is granted to anyone to use this software for any purpose,
 including commercial applications, and to alter it and redistribute it
 freely, subject to the following restrictions:
 .
 1. The origin of this software must not be misrepresented; you must not
    claim that you wrote the original software. If you use this software
    in a product, an acknowledgment in the product documentation would
    be appreciated but is not required.
 .
 2. Altered source versions must be plainly marked as such, and must not
    be misrepresented as being the original software.
 .
 3. This notice may not be removed or altered from any source
    distribution.

License: GPL-3+
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 On Debian systems, the complete text of the GPL version 3 license can be
 found in `/usr/share/common-licenses/GPL-3'.

License: OFL-1.1
 PREAMBLE
  The goals of the Open Font License (OFL) are to stimulate worldwide
 development of collaborative font projects, to support the font creation
 efforts of academic and linguistic communities, and to provide a free and
 open framework in which fonts may be shared and improved in partnership
 with others.
 .
 The OFL allows the licensed fonts to be used, studied, modified and
 redistributed freely as long as they are not sold by themselves. The
 fonts, including any derivative works, can be bundled, embedded,
 redistributed and/or sold with any software provided that any reserved
 names are not used by derivative works. The fonts and derivatives,
 however, cannot be released under any other type of license. The
 requirement for fonts to remain under this license does not apply
 to any document created using the fonts or their derivatives.
 .
 DEFINITIONS
 "Font Software" refers to the set of files released by the Copyright
 Holder(s) under this license and clearly marked as such. This may
 include source files, build scripts and documentation.
 .
 "Reserved Font Name" refers to any names specified as such after the
 copyright statement(s).
 .
 "Original Version" refers to the collection of Font Software components as
 distributed by the Copyright Holder(s).
 .
 "Modified Version" refers to any derivative made by adding to, deleting,
 or substituting -- in part or in whole -- any of the components of the
 Original Version, by changing formats or by porting the Font Software to a
 new environment.
 .
 "Author" refers to any designer, engineer, programmer, technical
 writer or other person who contributed to the Font Software.
 .
 PERMISSION & CONDITIONS
  Permission is hereby granted, free of charge, to any person obtaining
 a copy of the Font Software, to use, study, copy, merge, embed, modify,
 redistribute, and sell modified and unmodified copies of the Font
 Software, subject to the following conditions:
 .
 1) Neither the Font Software nor any of its individual components,
    in Original or Modified Versions, may be sold by itself.
 .
 2) Original or Modified Versions of the Font Software may be bundled,
    redistributed and/or sold with any software, provided that each copy
    contains the above copyright notice and this license. These can be
    included either as stand-alone text files, human-readable headers or
    in the appropriate machine-readable metadata fields within text or
    binary files as long as those fields can be easily viewed by the user.
 .
 3) No Modified Version of the Font Software may use the Reserved Font
    Name(s) unless explicit written permission is granted by the corresponding
    Copyright Holder. This restriction only applies to the primary font
    name as presented to the users.
 .
 4) The name(s) of the Copyright Holder(s) or the Author(s) of the Font
    Software shall not be used to promote, endorse or advertise any
    Modified Version, except to acknowledge the contribution(s) of the
    Copyright Holder(s) and the Author(s) or with their explicit written
    permission.
 .
 5) The Font Software, modified or unmodified, in part or in whole,
    must be distributed entirely under this license, and must not be
    distributed under any other license. The requirement for fonts to
    remain under this license does not apply to any document created
    using the Font Software.
 .
 TERMINATION
  This license becomes null and void if any of the above conditions are
 not met.
 .
 DISCLAIMER
  THE FONT SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF
 MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT
 OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE
 COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL
 DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM
 OTHER DEALINGS IN THE FONT SOFTWARE.

License: Liberation
 This agreement governs the use of the Software and any updates to the
 Software, regardless of the delivery mechanism. Subject to the following
 terms, Red Hat, Inc.  ("Red Hat") grants to the user ("Client") a license to
 this work pursuant to the GNU General Public License v.2 with the exceptions
 set forth below and such other terms as our set forth in this End User
 License Agreement.
 .
 1. The Software and License Exception. LIBERATION font software  (the
 "Software") consists of TrueType-OpenType formatted font software for
 rendering LIBERATION typefaces in sans serif, serif, and monospaced character
 styles. You are licensed to  use, modify, copy, and distribute the Software
 pursuant to the GNU General Public License v.2 with the following exceptions:
 .
 (a) As a special exception, if you create a document which uses this font,
     and embed this font or unaltered portions of this font into the document,
     this font does not by itself cause the resulting document to be covered
     by the GNU General Public License.  This exception does not however
     invalidate any other reasons why the document might be covered by the GNU
     General Public License.  If you modify this font, you may extend this
     exception to your version of the font, but you are not obligated to do
     so. If you do not wish to do so, delete this exception statement from
     your version.
 .
 (b) As a further exception, any distribution of the object code of the
     Software in a physical product must provide you the right to access and
     modify the source code for the Software and to reinstall that modified
     version of the Software in object code form on the same physical product
     on which you received it.
 .
 2. Intellectual Property Rights. The Software and each of its components,
    including the source code, documentation, appearance, structure and
    organization are owned by Red Hat and others and are protected under
    copyright and other laws.  Title to the Software and any component, or to
    any copy, modification, or merged portion shall remain with the
    aforementioned, subject to the applicable license.  The "LIBERATION"
    trademark is a trademark of Red Hat, Inc. in the U.S.  and other
    countries. This agreement does not permit Client to distribute modified
    versions of the Software using Red Hat's trademarks. If Client makes a
    redistribution of a modified version of the Software, then Client must
    modify the files names to remove any reference to the Red Hat trademarks
    and must not use the Red Hat trademarks in any way to reference or promote
    the modified Software.
 .
 3. Limited Warranty. To the maximum extent permitted under applicable law,
    the Software is provided and licensed "as is" without warranty of any
    kind, expressed or implied, including the implied warranties of
    merchantability, non-infringement or fitness for a particular purpose. Red
    Hat does not warrant that the functions contained in the Software will
    meet Client's requirements or that the operation of the Software will be
    entirely error free or appear precisely as described in the accompanying
    documentation.
 .
 4. Limitation of Remedies and Liability.  To the maximum extent permitted by
    applicable law, Red Hat or any Red Hat authorized dealer will not be
    liable to Client for any incidental or consequential damages, including
    lost profits or lost savings arising out of the use or inability to use
    the Software, even if Red Hat or such dealer has been advised of the
    possibility of such damages.
 .
 5. General. If any provision of this agreement is held to be unenforceable,
    that shall not affect the enforceability of the remaining provisions. This
    agreement shall be governed by the laws of the State of North Carolina and
    of the United States, without regard to any conflict of laws provisions,
    except that the United Nations Convention on the International Sale of
    Goods shall not apply.

License: BSD-2-clause
 Copyright (c) 2007-2018 by the Sphinx team (see AUTHORS file).
 All rights reserved.
 .
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are
 met:
 .
 * Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.
 .
 * Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: BSD-1-clause
 Copyright (c) 2003-2018, Troy D. Hanson     http://troydhanson.github.com/uthash/
 All rights reserved.
 .
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:
 .
     * Redistributions of source code must retain the above copyright
       notice, this list of conditions and the following disclaimer.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
 OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: CC0
 To the extent possible under law, the author(s) have dedicated all
 copyright and related and neighboring rights to this software to
 the public domain worldwide. This software is distributed without
 any warranty.
 .
 You should have received a copy of the CC0 Public Domain Dedication
 along with this software. If not, see
 <http://creativecommons.org/publicdomain/zero/1.0/>.
 .
 On Debian systems, the complete text of the CC0 1.0 Universal license can be
 found in '/usr/share/common-licenses/CC0-1.0'.

License: LGPL-2.1+
 The GNU C Library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.
 .
 The GNU C Library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 You should have received a copy of the GNU Lesser General Public
 License along with the GNU C Library; if not, write to the Free
 Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 02111-1307 USA.
 .
 On Debian systems, the complete text of the LGPL version 2.1 license can be
 found in '/usr/share/common-licenses/LGPL-2.1'.

License: CC-BY-4.0
 Creative Commons Attribution 4.0 International Public License
 .
 By exercising the Licensed Rights (defined below), You accept and
 agree to be bound by the terms and conditions of this Creative Commons
 Attribution 4.0 International Public License ("Public License"). To
 the extent this Public License may be interpreted as a contract, You
 are granted the Licensed Rights in consideration of Your acceptance of
 these terms and conditions, and the Licensor grants You such rights in
 consideration of benefits the Licensor receives from making the Licensed
 Material available under these terms and conditions.
 .
 Section 1 – Definitions.
 .
  a Adapted Material means material subject to Copyright and Similar
    Rights that is derived from or based upon the Licensed Material and
    in which the Licensed Material is translated, altered, arranged,
    transformed, or otherwise modified in a manner requiring permission
    under the Copyright and Similar Rights held by the Licensor. For
    purposes of this Public License, where the Licensed Material is
    a musical work, performance, or sound recording, Adapted Material
    is always produced where the Licensed Material is synched in timed
    relation with a moving image.
  b Adapter's License means the license You apply to Your Copyright
    and Similar Rights in Your contributions to Adapted Material in
    accordance with the terms and conditions of this Public License.
  c Copyright and Similar Rights means copyright and/or similar rights
    closely related to copyright including, without limitation,
    performance, broadcast, sound recording, and Sui Generis
    Database Rights, without regard to how the rights are labeled
    or categorized. For purposes of this Public License, the rights
    specified in Section 2(b)(1)-(2) are not Copyright and Similar Rights.
  d Effective Technological Measures means those measures that, in the
    absence of proper authority, may not be circumvented under laws
    fulfilling obligations under Article 11 of the WIPO Copyright Treaty
    adopted on December 20, 1996, and/or similar international agreements.
  e Exceptions and Limitations means fair use, fair dealing, and/or any
    other exception or limitation to Copyright and Similar Rights that
    applies to Your use of the Licensed Material.
  f Licensed Material means the artistic or literary work, database,
    or other material to which the Licensor applied this Public License.
  g Licensed Rights means the rights granted to You subject to the terms
    and conditions of this Public License, which are limited to all
    Copyright and Similar Rights that apply to Your use of the Licensed
    Material and that the Licensor has authority to license.
  h Licensor means the individual(s) or entity(ies) granting rights
    under this Public License.
  i Share means to provide material to the public by any means or
    process that requires permission under the Licensed Rights, such
    as reproduction, public display, public performance, distribution,
    dissemination, communication, or importation, and to make material
    available to the public including in ways that members of the public
    may access the material from a place and at a time individually
    chosen by them.
  j Sui Generis Database Rights means rights other than copyright
    resulting from Directive 96/9/EC of the European Parliament and of
    the Council of 11 March 1996 on the legal protection of databases,
    as amended and/or succeeded, as well as other essentially equivalent
    rights anywhere in the world.
  k You means the individual or entity exercising the Licensed Rights
    under this Public License. Your has a corresponding meaning.
 .
 Section 2 – Scope.
 .
  a License grant.
      1.Subject to the terms and conditions of this Public License,
        the Licensor hereby grants You a worldwide, royalty-free,
        non-sublicensable, non-exclusive, irrevocable license to exercise
        the Licensed Rights in the Licensed Material to:
 .
          A reproduce and Share the Licensed Material, in whole or in part; and
          B produce, reproduce, and Share Adapted Material.
 .
      2.Exceptions and Limitations. For the avoidance of doubt, where
        Exceptions and Limitations apply to Your use, this Public License
        does not apply, and You do not need to comply with its terms
        and conditions.
 .
      3.Term. The term of this Public License is specified in Section 6(a).
 .
      4.Media and formats; technical modifications allowed. The Licensor
        authorizes You to exercise the Licensed Rights in all media
        and formats whether now known or hereafter created, and to make
        technical modifications necessary to do so. The Licensor waives
        and/or agrees not to assert any right or authority to forbid
        You from making technical modifications necessary to exercise
        the Licensed Rights, including technical modifications necessary
        to circumvent Effective Technological Measures. For purposes of
        this Public License, simply making modifications authorized by
        this Section 2(a)(4) never produces Adapted Material.
 .
      5.Downstream recipients.
 .
          A Offer from the Licensor – Licensed Material. Every recipient
            of the Licensed Material automatically receives an offer
            from the Licensor to exercise the Licensed Rights under the
            terms and conditions of this Public License.
          B No downstream restrictions. You may not offer or impose any
            additional or different terms or conditions on, or apply any
            Effective Technological Measures to, the Licensed Material
            if doing so restricts exercise of the Licensed Rights by
            any recipient of the Licensed Material.
 .
      6.No endorsement. Nothing in this Public License constitutes or
        may be construed as permission to assert or imply that You are,
        or that Your use of the Licensed Material is, connected with,
        or sponsored, endorsed, or granted official status by, the
        Licensor or others designated to receive attribution as provided
        in Section 3(a)(1)(A)(i).
 .
  b Other rights.
      1.Moral rights, such as the right of integrity, are not licensed
        under this Public License, nor are publicity, privacy, and/or
        other similar personality rights; however, to the extent possible,
        the Licensor waives and/or agrees not to assert any such rights
        held by the Licensor to the limited extent necessary to allow
        You to exercise the Licensed Rights, but not otherwise.
      2.Patent and trademark rights are not licensed under this Public License.
      3.To the extent possible, the Licensor waives any right to
        collect royalties from You for the exercise of the Licensed
        Rights, whether directly or through a collecting society under
        any voluntary or waivable statutory or compulsory licensing
        scheme. In all other cases the Licensor expressly reserves any
        right to collect such royalties.
 .
 Section 3 – License Conditions.
 .
 Your exercise of the Licensed Rights is expressly made subject to the
 following conditions.
 .
  a. Attribution.
  .
   1. If You Share the Licensed Material (including in modified form), You must:
  .
     A. retain the following if it is supplied by the Licensor with the Licensed Material:
        i       identification of the creator(s) of the Licensed Material and any others designated to receive attribution, in any reasonable manner requested by the Licensor (including by pseudonym if designated);
        ii      a copyright notice;
        iii     a notice that refers to this Public License;
        iv      a notice that refers to the disclaimer of warranties;
        v       a URI or hyperlink to the Licensed Material to the extent reasonably practicable;
     B. indicate if You modified the Licensed Material and retain an
        indication of any previous modifications; and
     C. indicate the Licensed Material is licensed under this Public
        License, and include the text of, or the URI or hyperlink to,
        this Public License.
 .
   2.  You may satisfy the conditions in Section 3(a)(1) in any reasonable
       manner based on the medium, means, and context in which You Share
       the Licensed Material. For example, it may be reasonable to satisfy
       the conditions by providing a URI or hyperlink to a resource that
       includes the required information.
 .
   3. If requested by the Licensor, You must remove any of the information
      required by Section 3(a)(1)(A) to the extent reasonably practicable.
 .
   4. If You Share Adapted Material You produce, the Adapter's License You
      apply must not prevent recipients of the Adapted Material from complying
      with this Public License.
 .
 Section 4 – Sui Generis Database Rights.
 .
 Where the Licensed Rights include Sui Generis Database Rights that
 apply to Your use of the Licensed Material:
 .
  a for the avoidance of doubt, Section 2(a)(1) grants You the right to
    extract, reuse, reproduce, and Share all or a substantial portion
    of the contents of the database;
  b if You include all or a substantial portion of the database contents
    in a database in which You have Sui Generis Database Rights, then
    the database in which You have Sui Generis Database Rights (but not
    its individual contents) is Adapted Material; and
  c You must comply with the conditions in Section 3(a) if You Share
    all or a substantial portion of the contents of the database.
 .
 For the avoidance of doubt, this Section 4 supplements and does not
 replace Your obligations under this Public License where the Licensed
 Rights include other Copyright and Similar Rights.
 .
 Section 5 – Disclaimer of Warranties and Limitation of Liability.
 .
 a Unless otherwise separately undertaken by the Licensor, to the
   extent possible, the Licensor offers the Licensed Material as-is and
   as-available, and makes no representations or warranties of any kind
   concerning the Licensed Material, whether express, implied, statutory,
   or other. This includes, without limitation, warranties of title,
   merchantability, fitness for a particular purpose, non-infringement,
   absence of latent or other defects, accuracy, or the presence or absence
   of errors, whether or not known or discoverable. Where disclaimers of
   warranties are not allowed in full or in part, this disclaimer may not
   apply to You.
 .
 b To the extent possible, in no event will the Licensor be liable to You on
   any legal theory (including, without limitation, negligence) or otherwise
   for any direct, special, indirect, incidental, consequential, punitive,
   exemplary, or other losses, costs, expenses, or damages arising out
   of this Public License or use of the Licensed Material, even if the
   Licensor has been advised of the possibility of such losses, costs,
   expenses, or damages. Where a limitation of liability is not allowed
   in full or in part, this limitation may not apply to You.
 .
 c The disclaimer of warranties and limitation of liability provided above
   shall be interpreted in a manner that, to the extent possible, most
   closely approximates an absolute disclaimer and waiver of all liability.
 .
 Section 6 – Term and Termination.
 .
 a. This Public License applies for the term of the Copyright and
    Similar Rights licensed here. However, if You fail to comply with this
    Public License, then Your rights under this Public License terminate
    automatically.
 .
 b. Where Your right to use the Licensed Material has terminated under
    Section 6(a), it reinstates:
    1 automatically as of the date the violation is cured, provided it is
      cured within 30 days of Your discovery of the violation; or
    2 upon express reinstatement by the Licensor.
 .
    For the avoidance of doubt, this Section 6(b) does not affect any
    right the Licensor may have to seek remedies for Your violations of
    this Public License.
 .
 c. For the avoidance of doubt, the Licensor may also offer the Licensed
    Material under separate terms or conditions or stop distributing the
    Licensed Material at any time; however, doing so will not terminate
    this Public License.
 .
 d. Sections 1, 5, 6, 7, and 8 survive termination of this Public License.
 .
 Section 7 – Other Terms and Conditions.
 .
 a. The Licensor shall not be bound by any additional or different terms
    or conditions communicated by You unless expressly agreed.
 .
 b. Any arrangements, understandings, or agreements regarding the Licensed
    Material not stated herein are separate from and independent of the
    terms and conditions of this Public License.
 .
 Section 8 – Interpretation.
 .
 a. For the avoidance of doubt, this Public License does not, and shall
    not be interpreted to, reduce, limit, restrict, or impose conditions
    on any use of the Licensed Material that could lawfully be made without
    permission under this Public License.
 .
 b. To the extent possible, if any provision of this Public License is deemed
    unenforceable, it shall be automatically reformed to the minimum extent
    necessary to make it enforceable. If the provision cannot be reformed,
    it shall be severed from this Public License without affecting the
    enforceability of the remaining terms and conditions.
 .
 c. No term or condition of this Public License will be waived and no failure
    to comply consented to unless expressly agreed to by the Licensor.
 .
 d. Nothing in this Public License constitutes or may be interpreted as
    a limitation upon, or waiver of, any privileges and immunities that
    apply to the Licensor or You, including from the legal processes of
    any jurisdiction or authority.
 .
 This license text was converted from the HTML version on
 https://creativecommons.org/licenses/by/4.0/legalcode.
